After an OS update on one of our client servers we witnessed a perplexing error in their chrooted PHP-FPM environment:

security library: invalid algorithm

This is produced when the chroot’s libraries were out of sync with the base system, in our case updating usr/lib64 fixed it.

A simple fix but took a significant amount of time to track down, hopefully this post has just saved you some time!

Call 1-877-883-1394 to Work With Linux Server Experts

Professional Linux support from senior Linux systems engineers.

 

Leave a Reply

Your email address will not be published.

This site uses Akismet to reduce spam. Learn how your comment data is processed.